<?xml version="1.0" encoding="UTF-8"?>


<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.Font?>
<?import javafx.scene.text.Text?>
<GridPane xmlns:fx="http://javafx.com/fxml/1" stylesheets="@../../Stylesheets/bootstrap.css"
          xmlns="http://javafx.com/javafx/8" fx:controller="seng302.GUI.Admin.AdminRolesTabController">
    <columnConstraints>
        <ColumnConstraints halignment="CENTER" hgrow="ALWAYS" maxWidth="1.7976931348623157E308" percentWidth="100.0"/>
    </columnConstraints>
    <rowConstraints>
        <RowConstraints percentHeight="100.0" vgrow="ALWAYS"/>
    </rowConstraints>
    <children>
        <GridPane prefHeight="474.0" prefWidth="872.0" style="-fx-background-color: #FFFFFF;">
            <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0"/>
                <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0"/>
            </columnConstraints>
            <rowConstraints>
                <RowConstraints minHeight="10.0" percentHeight="40.0" prefHeight="30.0" vgrow="SOMETIMES"/>
                <RowConstraints minHeight="10.0" percentHeight="20.0" prefHeight="30.0" vgrow="SOMETIMES"/>
                <RowConstraints minHeight="10.0" percentHeight="20.0" prefHeight="30.0" vgrow="SOMETIMES"/>
                <RowConstraints minHeight="10.0" percentHeight="20.0" prefHeight="30.0" vgrow="SOMETIMES"/>
            </rowConstraints>
            <GridPane style="-fx-background-color: #303F9F;" GridPane.columnIndex="1">
                <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" maxWidth="379.0" minWidth="10.0" percentWidth="100.0"
                                       prefWidth="379.0"/>
                </columnConstraints>
                <rowConstraints>
                    <RowConstraints minHeight="10.0" percentHeight="100.0" vgrow="SOMETIMES"/>
                </rowConstraints>
                <children>
                    <Text fill="WHITE" stroke="WHITE" strokeType="OUTSIDE" strokeWidth="0.0" text="Delete Roles"
                          textAlignment="CENTER" wrappingWidth="405.1328125" GridPane.halignment="CENTER"
                          GridPane.hgrow="ALWAYS" GridPane.valignment="CENTER" GridPane.vgrow="ALWAYS">
                        <font>
                            <Font name="Roboto Bold" size="22.0"/>
                        </font>
                        <GridPane.margin>
                            <Insets bottom="15.0" left="15.0" right="15.0" top="15.0"/>
                        </GridPane.margin>
                    </Text>
                </children>
            </GridPane>
            <GridPane style="-fx-background-color: #303F9F;">
                <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="100.0" prefWidth="100.0"/>
                </columnConstraints>
                <rowConstraints>
                    <RowConstraints minHeight="10.0" percentHeight="100.0" prefHeight="30.0" vgrow="SOMETIMES"/>
                </rowConstraints>
                <children>
                    <Text fill="WHITE" strokeType="OUTSIDE" strokeWidth="0.0" text="Create Roles" textAlignment="RIGHT"
                          GridPane.halignment="CENTER">
                        <font>
                            <Font name="Roboto Bold" size="22.0"/>
                        </font>
                    </Text>
                </children>
            </GridPane>
            <Button fx:id="createClinicianButton" mnemonicParsing="false" onAction="#createClinicianButtonPressed"
                    prefHeight="31.0" prefWidth="811.0" text="Create Clinician" GridPane.halignment="CENTER"
                    GridPane.rowIndex="2">
                <GridPane.margin>
                    <Insets bottom="40.0" left="40.0" right="40.0" top="40.0"/>
                </GridPane.margin>
            </Button>
            <Button fx:id="createAdminButton" mnemonicParsing="false" onAction="#createAdminButtonPressed"
                    prefHeight="31.0" prefWidth="811.0" text="Create Admin" GridPane.halignment="CENTER"
                    GridPane.rowIndex="3">
                <GridPane.margin>
                    <Insets bottom="40.0" left="40.0" right="40.0" top="40.0"/>
                </GridPane.margin>
            </Button>
            <Button fx:id="createDonorButton" mnemonicParsing="false" onAction="#createDonorButtonPressed"
                    prefHeight="31.0" prefWidth="808.0" text="Create Donor" GridPane.halignment="CENTER"
                    GridPane.rowIndex="1">
                <GridPane.margin>
                    <Insets bottom="40.0" left="40.0" right="40.0" top="40.0"/>
                </GridPane.margin>
            </Button>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="2">
                <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0"/>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0"/>
                </columnConstraints>
                <rowConstraints>
                    <RowConstraints minHeight="10.0" vgrow="SOMETIMES"/>
                </rowConstraints>
                <children>
                    <Button fx:id="deleteClinicianButton" mnemonicParsing="false"
                            onAction="#deleteClinicianButtonPressed" prefHeight="31.0" prefWidth="1147.0"
                            text="Delete Clinician" GridPane.halignment="CENTER" GridPane.hgrow="ALWAYS">
                        <GridPane.margin>
                            <Insets bottom="40.0" left="30.0" right="30.0" top="40.0"/>
                        </GridPane.margin>
                    </Button>
                    <TextField fx:id="deleteClinicianTextField" prefHeight="30.0" prefWidth="1379.0"
                               promptText="Username" GridPane.columnIndex="1">
                        <GridPane.margin>
                            <Insets bottom="15.0" left="15.0" right="15.0" top="15.0"/>
                        </GridPane.margin>
                    </TextField>
                </children>
            </GridPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="3">
                <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0"/>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0" prefWidth="100.0"/>
                </columnConstraints>
                <rowConstraints>
                    <RowConstraints minHeight="10.0" vgrow="SOMETIMES"/>
                </rowConstraints>
                <children>
                    <TextField fx:id="deleteAdminTextField" prefHeight="31.0" prefWidth="1264.0" promptText="Username"
                               GridPane.columnIndex="1">
                        <GridPane.margin>
                            <Insets bottom="15.0" left="15.0" right="15.0" top="15.0"/>
                        </GridPane.margin>
                    </TextField>
                    <Button fx:id="deleteAdminButton" mnemonicParsing="false" onAction="#deleteAdminButtonPressed"
                            prefHeight="31.0" prefWidth="960.0" text="Delete Admin" GridPane.halignment="CENTER"
                            GridPane.hgrow="ALWAYS">
                        <GridPane.margin>
                            <Insets bottom="40.0" left="30.0" right="30.0" top="40.0"/>
                        </GridPane.margin>
                    </Button>
                </children>
            </GridPane>
            <GridPane GridPane.columnIndex="1" GridPane.rowIndex="1">
                <columnConstraints>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" percentWidth="50.0"/>
                    <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0"/>
                </columnConstraints>
                <rowConstraints>
                    <RowConstraints minHeight="10.0" vgrow="SOMETIMES"/>
                </rowConstraints>
                <children>
                    <TextField fx:id="deleteDonorTextField" prefHeight="31.0" prefWidth="1380.0" promptText="Username"
                               GridPane.columnIndex="1">
                        <GridPane.margin>
                            <Insets bottom="15.0" left="15.0" right="15.0" top="15.0"/>
                        </GridPane.margin>
                    </TextField>
                    <Button fx:id="deleteDonorButton" mnemonicParsing="false" onAction="#deleteDonorButtonPressed"
                            prefHeight="0.0" prefWidth="1144.0" text="Delete Donor" GridPane.halignment="CENTER"
                            GridPane.hgrow="ALWAYS">
                        <GridPane.margin>
                            <Insets bottom="40.0" left="30.0" right="30.0" top="40.0"/>
                        </GridPane.margin>
                    </Button>
                </children>
            </GridPane>
        </GridPane>
    </children>
</GridPane>
